<!---
	Setup the RuntimeUtils API.
--->
<cfset RuntimeUtils = createObject("component","RuntimeUtils").init()>

<cfscript>
	RuntimeUtils.fixUrlParameters();

	// simple function with local variables
	function test(arg) {
		var foo = 10 + arguments.arg;
	}
	
	// page variable
	bar = 1;
	
	foo = createObject("component","foo");

	// arguments
	args = structNew();
	args[1] = 10;
		
//SAMPLES:

	// show 'fixed' params	
	result = url;

	// get mappings
	result = RuntimeUtils.getMappings();
	
	// get custom tag paths.
	result = RuntimeUtils.getCustomTagPaths();
	
	// call method on a component
	result = RuntimeUtils.runFunction(foo,"bar",args);

	// call method on this page
	result = RuntimeUtils.runFunction(getPageContext(),test,args);
	
	// get all the views
	result = RuntimeUtils.getTablesForDatasource("cfunited","view");
	
	// get all the tables
	result = RuntimeUtils.getTablesForDatasource("cfunited","table");
/*		
	// get application cfc
	result = RuntimeUtils.getApplicationCFC();
*/
</cfscript>

<cfdump var="#result#">