<cfcomponent output="false">

	<cfset instance = structNew()>

	<cffunction name="init" access="public" returntype="any" output="false">
		<cfargument name="isolation" type="string" required="false">
		
		<cfset instance.tag = createObject("java","coldfusion.tagext.sql.TransactionTag").init()>
		<cfset instance.tag.setPageContext(getPageContext())>
		
		<cfif structKeyExists(arguments,"isolation")>
			<cfset setIsolation(arguments.isolation)>
		</cfif>
		
		<cfreturn this>
	</cffunction>
	
	<cffunction name="getIsolation" access="public" returntype="any" output="false">
		
		<cfreturn instance.tag.getIsolation()>
	</cffunction>
	
	<cffunction name="setIsolation" access="public" returntype="any" output="false">
		<cfargument name="value" type="string" required="true">
		
		<cfset instance.tag.setIsolation(arguments.value)>
	</cffunction>
	
	<cffunction name="begin" access="public" returntype="void" output="false">
		
		<cfset instance.tag.doStartTag()>
	</cffunction>

	<cffunction name="rollback" access="public" returntype="any" output="false">
		
		<cftransaction action="rollback">
	</cffunction>
	
	<cffunction name="commit" access="public" returntype="any" output="false">
		
		<cftransaction action="commit">
	</cffunction>	
	
	<cffunction name="end" access="public" returntype="any" output="false">
		<cfset instance.tag.doEndTag()>
		<cfset instance.tag.doFinally()>
	</cffunction>

</cfcomponent>